package com.rjconsultores.ventaboletos.web.utilerias.menu.item.relatorios.impressaofiscal;

import java.util.HashMap;

public class TipoImportacaoFiscal {

	public enum TipoImportacao {
		ECF_RED_Z, ECF, RMD, ECF_CANCELADOS, MANUAL, REDUCAO_Z, NAO_FISCAL, RELATORIO_FINANCEIRO, RELATORIO_VOUCHER, PENDENCIA_ECF, PENDENCIA_REDUCAO_Z, RELATORIO_VOUCHER_CANCELADOS;
	}

	public static HashMap<String, Boolean> selecionaTipoImportacao(TipoImportacao tipo, HashMap<String, Boolean> map) {

		map.remove(TipoImportacao.ECF_RED_Z.toString());
		map.remove(TipoImportacao.ECF.toString());
		map.remove(TipoImportacao.RMD.toString());
		map.remove(TipoImportacao.ECF_CANCELADOS.toString());
		map.remove(TipoImportacao.MANUAL.toString());
		map.remove(TipoImportacao.REDUCAO_Z.toString());
		map.remove(TipoImportacao.NAO_FISCAL.toString());
		map.remove(TipoImportacao.RELATORIO_FINANCEIRO.toString());
		map.remove(TipoImportacao.RELATORIO_VOUCHER.toString());
		map.remove(TipoImportacao.PENDENCIA_ECF.toString());
		map.remove(TipoImportacao.PENDENCIA_REDUCAO_Z.toString());
		map.remove(TipoImportacao.RELATORIO_VOUCHER_CANCELADOS.toString());

		if (tipo.equals(TipoImportacao.ECF_RED_Z)) {
			map.put(TipoImportacao.ECF_RED_Z.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.ECF)) {
			map.put(TipoImportacao.ECF.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.RMD)) {
			map.put(TipoImportacao.RMD.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.ECF_CANCELADOS)) {
			map.put(TipoImportacao.ECF_CANCELADOS.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.MANUAL)) {
			map.put(TipoImportacao.MANUAL.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.REDUCAO_Z)) {
			map.put(TipoImportacao.REDUCAO_Z.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.NAO_FISCAL)) {
			map.put(TipoImportacao.NAO_FISCAL.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.RELATORIO_FINANCEIRO)) {
			map.put(TipoImportacao.RELATORIO_FINANCEIRO.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.RELATORIO_VOUCHER)) {
			map.put(TipoImportacao.RELATORIO_VOUCHER.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.PENDENCIA_ECF)) {
			map.put(TipoImportacao.PENDENCIA_ECF.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.PENDENCIA_REDUCAO_Z)) {
			map.put(TipoImportacao.PENDENCIA_REDUCAO_Z.toString(), Boolean.TRUE);
		}

		if (tipo.equals(TipoImportacao.RELATORIO_VOUCHER_CANCELADOS)) {
			map.put(TipoImportacao.RELATORIO_VOUCHER_CANCELADOS.toString(), Boolean.TRUE);
		}

		return map;
	}

}
